complexType "NettedSwapBase"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 6 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-eq-shared-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, embeddedOptionType[0..2])?, additionalPayment*
</...>

Content Model Elements (6):

  additionalPayment (in correlationSwap), embeddedOptionType, primaryAssetClass (defined in Product.model group), | productId, productType (defined in Product.model group), secondaryAssetClass

Known Direct Subtypes (1):

  CorrelationSwap

All Direct / Indirect Based Elements (1):

  correlationSwap

Known Usage Locations

- In derivations of other global types (1):
  CorrelationSwap (as extension base)

Annotation
An abstract base class for all swap types which have a single netted leg, such as Variance Swaps, and Correlation Swaps.
Type Definition Detail

Type Derivation Tree Product (extension) NettedSwapBase

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType abstract="true" name="NettedSwapBase"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalPayment" type="ClassifiedPayment"/> <!--View Generation: SKIPPED extraordinaryEvents - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/6)
additionalPayment

  Type: | ClassifiedPayment, complex content

  Specifies additional payment(s) between the principal parties to the netted swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalPayment" type="ClassifiedPayment"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.